Distribution:	CCux
Packager:  	Stefan Gottwald <gotti@ccux-linux.de>

Summary:   	MLT is an open source multimedia framework, designed and developed for television broadcasting
Name:      	mlt
Version:   	0.4.10
Release:   	1
License: 	GNU/GPL
URL:		http://mlt.sourceforge.net
Group:     	Video
Source0: 	%{name}-%{version}.tar.gz
Patch0:		mlt-sox_1430_build.patch
Patch1:		mlt-improve_normalisation.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
BuildRequires: frei0r-plugins-devel
# manually added dependencies
BuildRequires:	ladspa-devel
BuildRequires:	gtk2+-devel
BuildRequires:	pango-devel
BuildRequires:	atk-devel
BuildRequires:	xine-lib-devel
BuildRequires:	lame-devel
BuildRequires:	libtheora-devel
BuildRequires:	libmad-devel
# mlt draws in itself as circular dependency, break that
# by preventing linking to older versions of itself
BuildConflicts: mlt-devel

#Automatically resolved build dependencies
BuildRequires: ffmpeg-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: libdv-devel
BuildRequires: libgcc
BuildRequires: libquicktime-devel
BuildRequires: libsamplerate-devel
BuildRequires: libstdc++-devel
BuildRequires: libvorbis-devel
BuildRequires: libX11-devel
BuildRequires: libxml2-devel
BuildRequires: pkg-config
BuildRequires: qt4-devel
BuildRequires: SDL-devel
BuildRequires: SDL_image-devel
BuildRequires: sox-devel

%description
MLT is an open source multimedia framework, designed and developed for television broadcasting

%package	devel
Summary:        %{name} development headers.
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}
#%patch0 -p1
#%patch1 -p1

%build
CFLAGS="$CFLAGS -I/usr/include/sox"
./configure 	--prefix=%_prefix --avformat-shared=%_prefix \
	--libdir=%_libdir \
	--enable-gpl --enable-shared --enable-pp --enable-shared-pp \
	--enable-motion-est --enable-dv --enable-mmx --disable-gtk2 \
	--enable-vorbis --enable-libogg --enable-jackrack --enable-sox \
	--enable-theora --enable-mp3lame --enable-xine --disable-mmx \
	--luma-compress --enable-avformat --enable-core --enable-feeds \
	--enable-fezzik --enable-inigio --enable-kino --enable-lumas \
	--enable-normalize --enable-plus --enable-qimage --enable-resample \
	--enable-sdl --enable-valerie --enable-vmfx --enable-westley  \
	--avformat-swscale --disable-debug

make

%install
rm -rf $RPM_BUILD_ROOT 
make install DESTDIR=$RPM_BUILD_ROOT
# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_bindir/melt
%_datadir/mlt
%_libdir/libmlt.so.*
%_libdir/libmlt++.so.*
%_libdir/mlt/ 

%files devel
%defattr(-,root,root)
%_includedir/mlt/
%_includedir/mlt++/
%_libdir/libmlt.so
%_libdir/libmlt++.so
%_libdir/pkgconfig/mlt++.pc
%_libdir/pkgconfig/mlt-framework.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 20 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.4.10-1
- Version update
* Thu Sep 24 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.4.4-1
- Version update
* Wed Mar 25 2009 Christian Metzen <metzench@ccux-linux.de> 0.3.6-2
- rebuild against ffmpeg-0.5
* Tue Feb 03 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.3.6-1
- Version update
* Tue Oct 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.3.0-1
- Version update
* Tue Apr 15 2008 Christian Wasem <wasem@ccux-linux.de> 0.2.4-5
- rebuild against sox 14.0.1
* Thu Jan 25 2008 Christian Metzen <metzench@ccux-linux.de> 0.2.4-4
- rebuild against gcc 4.1.2
* Thu Jan 03 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.2.4-3
- rebuild against new ffmpeg
* Sat Sep 08 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.2.4-2
- add --avformat-swscale option to solve problem with new ffmpeg
* Fri Aug 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.2.4-1
- Version update
* Thu Dec 14 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.2.2-1
- Initial Release
